Subject: Re: bug#64908: 29.1; svg parse failure

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Aug 2023 08:23:04 +0300

> Date: Thu, 3 Aug 2023 21:16:35 +0200
> From: David Ponce <[email-masked]>
> 
> In case it could help, using emacs from master (see details at end
> below), with librsvg2-2.56.0-1.fc38.x86_64 I can insert-image
> dir-src-open.svg and dir-public-open.svg in the *scratch-buffer*
> without issue (see Screenshot1).
> 
> However, the same failed using librsvg2-2.56.3-1.fc38.x86_64 (see
> Screenshot2).
> 
> I did test also with some KDE breeze icons.
> 
> No issue with librsvg2-2.56.0-1.fc38.x86_64.
> 
> With librsvg2-2.56.3-1.fc38.x86_64 some icons works, some not (see an
> example in Screenshot3):
> 
> /usr/share/icons/breeze/actions/22/go-next.svg doesn't work:
> 
> <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 22 22">
>    <defs id="defs3051">
>      <style type="text/css" id="current-color-scheme">
>        .ColorScheme-Text {
>          color:#232629;
>        }
>        </style>
>    </defs>
>   <path
>      style="fill:currentColor;fill-opacity:1;stroke:none"
> 	d="m7.707031 3l-.707031.707031 6.125 6.125 1.167969 1.167969-1.167969 1.167969-6.125 6.125.707031.707031 6.125-6.125 1.875-1.875-1.875-1.875-6.125-6.125"
>      class="ColorScheme-Text"
>      />
> </svg>
> 
> /usr/share/icons/breeze/actions/22/go-next.svg works:
> 
> <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24">
>    <defs id="defs3051">
>      <style type="text/css" id="current-color-scheme">
>        .ColorScheme-Text {
>          color:#232629;
>        }
>        </style>
>    </defs>
>    <g transform="translate(1,1)">
>      <path style="fill:currentColor;fill-opacity:1;stroke:none" d="m7.707031 3l-.707031.707031 6.125 6.125 1.167969 1.167969-1.167969 1.167969-6.125 6.125.707031.707031 6.125-6.125 1.875-1.875-1.875-1.875-6.125-6.125" class="ColorScheme-Text"/>
>    </g>
> </svg>
> 
> As far as I can see, other applications (Gwenview, Geeqie, Firefox) don't have
> problem to display the same images with librsvg2-2.56.3-1.fc38.x86_64 installed.

Thanks, this helps.

When an image fails to display, do you see any error messages from
librsvg?  Those are usually emitted to stderr, so perhaps you need to
run Emacs in a way that stderr is not discarded, but either shown on
the terminal or written to a file.